summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKerim Gokarslan <kgokarsl@cisco.com>2017-09-12 12:02:24 -0700
committerKerim Gokarslan <kgokarsl@cisco.com>2017-09-12 12:02:24 -0700
commit5d415199cc02560553713956c4727fea17482d70 (patch)
tree2c95e3928463c6bc2d3d69475bf81fc37aa0a5f0
parentd05d0c07856534e439792f86e1c1885850e9ad44 (diff)
NFVBENCH-19 Put interpreter name to entrypoint script
NFVBENCH-21 Pass server configurations as environmental variables in entrypoint script Change-Id: I0a6f7de7a194fa141e961f8e97d8cf70fa39c4ef Signed-off-by: Kerim Gokarslan <kgokarsl@cisco.com>
-rwxr-xr-xdocker/nfvbench-entrypoint.sh28
1 files changed, 23 insertions, 5 deletions
diff --git a/docker/nfvbench-entrypoint.sh b/docker/nfvbench-entrypoint.sh
index 64f9ade..9d6d3ae 100755
--- a/docker/nfvbench-entrypoint.sh
+++ b/docker/nfvbench-entrypoint.sh
@@ -1,3 +1,4 @@
+#!/bin/bash
# Copyright 2017 Cisco Systems, Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
@@ -13,9 +14,26 @@
# under the License.
#
-#!/bin/bash
-if [ -z "$1" ] || [ $1 != 'start_rest_server' ];then
- tail -f /dev/null
+if [ -z "$1" ] || [ $1 != 'start_rest_server' ]; then
+ tail -f /dev/null
else
- nfvbench --server /tmp/http_root --host 127.0.0.1 --port 7556
-fi
+ PARAMS="--server /tmp/http_root"
+ if [ -n "$HOST" ]; then
+ PARAMS+=" --host $HOST"
+ fi
+ if [ -n "$PORT" ]; then
+ PARAMS+=" --port $PORT"
+ fi
+ if [ -n "$OPENRC" ]; then
+ if [ -f "$OPENRC" ]; then
+ PARAMS+=" -c \"openrc_file: $OPENRC\""
+ else
+ echo "Aborting... Openrc config file cannot be found in the given path: $OPENRC"
+ exit 1
+ fi
+ else
+ echo "Aborting... Openrc config path is absent"
+ exit 1
+ fi
+ eval "nfvbench $PARAMS"
+fi \ No newline at end of file